{% extends 'Default/index.html.twig' %}
{% block title %}{{ pratica.servizio.name }} - Stanza del cittadino{% endblock %}
{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('compile') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('compile') }}
{% endblock %}

{% block main_content %}
  <div class="container" id="main-container">
    <div class="row justify-content-center">
      <div class="col-12 col-lg-10">

        {% if pratica.servizio.receipt == constant('RECEIPT_F24', pratica.servizio) %}
          {{ include('Pratiche/parts/landing/_f24.html.twig') }}
        {% elseif pratica.servizio.paymentRequired == 1 %}
          {{ include('Pratiche/parts/landing/_payment.html.twig') }}
        {% else %}
          {{ include('Pratiche/parts/landing/_general.html.twig') }}
        {% endif %}

        {% if pratica.servizio.receipt != constant('RECEIPT_F24', pratica.servizio) %}
          <div>
            {#% if pratica.servizio.isProtocolRequired %}
              {% if pratica.numeroProtocollo %}
                <p class="m-0">{{ 'pratica.protocollo'|trans }}: <strong>{{ pratica.numeroProtocollo }}</strong></p>
              {% else %}
                <p class="m-0">{{ 'pratica.protocollo'|trans }}:
                  <strong>{{ 'pratica.in_attesa_protocollo'|trans }}</strong></p>
              {% endif %}
            {% endif %#}

            {# In attesa di generazione del pdf #}
            {% if pratica.status == 1900 %}
              {% if pratica.servizio.isProtocolRequired %}
                {% set fcqn_parts = pratica.servizio.praticaFCQN | split('\\') %}
                {% set class_name = fcqn_parts|last %}
                <p class="text-center m-0 {{ 'd-none-'~ class_name }}">
                  {{ 'operatori.attesa_modulo_compilato_info'|trans|raw }}
                </p>
              {% else %}
                <p class="my-2">
                  {{ 'operatori.attesa_ricevuta_info'|trans|raw }}
                  {% if is_granted('ROLE_USER') and not is_granted('ROLE_OPERATORE') %}
                    <br>{{ 'operatori.controlla_ricevuta_loggato'|trans|raw }}
                  {% else %}
                    <br>{{ 'operatori.controlla_ricevuta_anonimo'|trans|raw }}
                  {% endif %}
                </p>
              {% endif %}
              {# Pratica inviata #}
            {% elseif pratica.status == 2000 %}

              {# Attesa protocollo se richiesto #}
              {#% if pratica.servizio.isProtocolRequired and not pratica.numeroProtocollo %}
                <p class="my-2">
                  {{ 'operatori.attesa_protocollo_info'|trans|raw }}
                  {% if is_granted('ROLE_USER') and not is_granted('ROLE_OPERATORE') %}
                    <br>{{ 'operatori.controlla_richiesta_protocollata_loggato'|trans|raw }}
                  {% else %}
                    <br>{{ 'operatori.controlla_richiesta_protocollata_anonimo'|trans|raw }}
                  {% endif %}
                </p>
              {% endif %#}

              {% if pratica.servizio.receipt == constant('RECEIPT_COMPILED_MODULE_ON_DEMAND', pratica.servizio) %}
                <button id="download_module"
                        data-print="{{ path('print_pratiche', {'pratica': pratica})  ~ '?preview=true' }}"
                        class="btn btn-outline-primary fw-bold mt-3">
                  <span class="rounded-icon">
                    <svg class="icon icon-primary icon-sm" aria-hidden="true">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                    </svg>
                  </span>
                  <span>{{ 'operatori.scarica_ricevuta'|trans }}</span>
                </button>
              {% else %}
                {% set attachment = pratica.moduliCompilati|first %}
                <a class="btn btn-outline-primary fw-bold mt-3"
                   href="{{ path('allegati_download', {'allegato': attachment.id}) }}" download>
                  <span class="rounded-icon">
                    <svg class="icon icon-primary icon-sm" aria-hidden="true">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                    </svg>
                  </span>
                  <span>{{ 'operatori.scarica_ricevuta'|trans }}</span>
                </a>
              {% endif %}
            {% endif %}

          </div>

          <p class="mt-4 mt-lg-3 mb-40 mb-lg-80">
            {%  if pratica.servizio.paymentRequired == 1 %}
              {{ 'pratica.sent_to_summary_with_payment' | trans }}
            {% else %}
              {{ 'pratica.sent_to_summary' | trans }}
            {% endif %}
            <a class="t-primary"
               href="{{ path('pratica_show_detail', {'pratica': pratica.id}) }}">{{ 'personal_area' | trans }}</a> {{ 'pratica.sent_to_summary_or' | trans({'%instance_url%': path('service_access', {'servizio': pratica.servizio.slug}),'%new_request%': 'new_request' | trans}) | raw }}
          </p>

          {% if pratica.servizio.finalIndications and pratica.status >= 1900 and pratica.status <= 3000 %}
            <div class="col-12 py-lg-2">
              <div class="alert alert-info">
                {{ pratica.servizio.finalIndications | raw }}
              </div>
            </div>
          {% endif %}
        {% endif %}
      </div>
    </div>
    {% if pratica.meetings.count > 0 %}
      {{ include('Pratiche/parts/_meeting.html.twig', {'meeting': pratica.meetings.getValues()[0], 'servizio': pratica.servizio}) }}
    {% else %}
      {{ include('Pratiche/parts/_general.html.twig', {'servizio': servizio, 'servizi_correlati': servizi_correlati}) }}
    {% endif %}
  </div>

  {{ include('Servizi/parts/_feedback.html.twig', {'type': 'thanks', 'service_id': pratica.servizio.id}) }}
  {{ include('Servizi/parts/_contacts.html.twig') }}

{% endblock %}

